//+------------------------------------------------------------------+
//|                                              iK_exp_stat_v30.mq4 |
//|                                                      Ivan Katsko |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Ivan Katsko"
#property link      ""

#property indicator_separate_window         //    
#property indicator_buffers 8               //  
#property indicator_color1 DeepPink         //   
#property indicator_color2 Purple           //   
#property indicator_color3 Red              //   
#property indicator_color4 LawnGreen        //   
#property indicator_color5 Gold             //   
#property indicator_color6 Blue             //   
#property indicator_color7 SteelBlue        //   
#property indicator_color8 Lime             //   
 
extern int 
           Depth=1;                         //  : 1 -   History
extern double Level=10;                     //   SL/TP
   
int History;                                // .   
 
double 
       Value_TP[],                          //  -       
       Av_Sum_TP[],                         //  -    
       Sum_na_TP[],                         //  -    
       Algoritm[],                          // : 1 - "  ", -1 - "   "
       Direction[],                         //  : 1 - , -1 - 
       Sum_TP[],                            //  -     
       Set_TP[],                            //   
       Set_SL[];                            //   


//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//--------------------------------------------------------------------
   SetIndexBuffer(0,Set_TP);                       //    
   SetIndexStyle (0,DRAW_HISTOGRAM,STYLE_SOLID,1);      //  
   SetIndexBuffer(1,Set_SL);                       //    
   SetIndexStyle (1,DRAW_LINE,STYLE_SOLID,1);      //   
   SetIndexBuffer(2,Sum_TP);                     //   
   SetIndexStyle (2,DRAW_LINE,STYLE_SOLID,2); //  
   SetIndexBuffer(3,Direction);                    //   
   SetIndexStyle (3,DRAW_HISTOGRAM,STYLE_SOLID,4); //  
   SetIndexBuffer(4,Algoritm);                     //   
   SetIndexStyle (4,DRAW_LINE,STYLE_SOLID,1); //  
   SetIndexBuffer(5,Value_TP);                     //   
   SetIndexStyle (5,DRAW_HISTOGRAM,STYLE_SOLID,2); //  
   SetIndexBuffer(6,Sum_na_TP);                     //   
   SetIndexStyle (6,DRAW_LINE,STYLE_SOLID,2); //  
   SetIndexBuffer(7,Av_Sum_TP);                     //   
   SetIndexStyle (7,DRAW_HISTOGRAM,STYLE_SOLID,2); //  

//--------------------------------------------------------------------
   switch (Period())                              //  . 
      {
         case    1: History = 30; break;          //  1-  
         case    5: History = 24; break;          //  5-  
         case   15: History = 24; break;          //  15- 
         case   30: History = 24; break;          //  30- 
         case   60: History = 24; break;          //  
         case  240: History = 30; break;          //  4- 
         case 1440: History = 22; break;          //  
         default: Alert("   M1  D1."); break; // 
      }
   Set_SL[History*Depth]=1.0*Level*Point;
   Alert("Init:"," Set_SL[",History*Depth,"]=",Set_SL[History*Depth]);//  ,  :  () 0,0001
//--------------------------------------------------------------------//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   Alert("Start:"," Set_SL[",History*Depth,"]=",Set_SL[History*Depth]);//    2147483647
   return(0);
  }

